Bug 34712 - [Meta] [Qt] 23% of the appcache test cases fail on QtLinux
Summary: [Meta] [Qt] 23% of the appcache test cases fail on QtLinux
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Chang Shu
URL:
Keywords: Qt
Depends on: 34713 36138 36139 36688 36690
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-08 11:13 PST by Chang Shu
Modified: 2010-12-22 08:27 PST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chang Shu 2010-02-08 11:13:12 PST
I enabled the LayouTests/http/tests/appcache on QtLinux. Among 45 test cases, 35 of them (77%) succeeded and the rest failed.
The following are the failed ones:
Testing 45 test cases.
http/tests/appcache ....
http/tests/appcache/auth.html -> failed
..........
http/tests/appcache/empty-manifest.html -> failed
..
http/tests/appcache/fallback.html -> crashed
.
http/tests/appcache/foreign-iframe-main.html -> failed
......
http/tests/appcache/manifest-redirect-2.html -> failed
..
http/tests/appcache/manifest-with-empty-file.html -> failed
.
http/tests/appcache/max-size.html -> failed
...
http/tests/appcache/offline-access.html -> failed
....
http/tests/appcache/resource-redirect-2.html -> failed
.
http/tests/appcache/resource-redirect.html -> failed
...........
110.73s total testing time

35 test cases (77%) succeeded
9 test cases (20%) had incorrect layout
1 test case (2%) crashed
7 test cases (15%) had stderr output

Bugs may be created individually for the failed ones.
Comment 1 Tor Arne Vestbø 2010-03-10 06:31:10 PST
Please follow the QtWebKit bug reporting guidelines when reporting bugs.

See http://trac.webkit.org/wiki/QtWebKitBugs

Specifically:

  - The 'QtWebKit' component should only be used for bugs/features in the
    public QtWebKit API layer, not to signify that the bug is specific to
    the Qt port of WebKit

      http://trac.webkit.org/wiki/QtWebKitBugs#Component

  - Add the keyword 'Qt' to signal that it's a Qt-related bug

      http://trac.webkit.org/wiki/QtWebKitBugs#Keywords
Comment 2 Chang Shu 2010-12-22 08:27:17 PST
all dependent bugs have been resolved. close this one.